Package org.eclipse.emf.spi.cdo

# Interface InternalCDOSavepoint

All Superinterfaces:
  `CDOChangeSetDataProvider`, `CDORollbackable`, `CDOSavepoint`, `CDOTransactionAware`, `CDOUserSavepoint`, `InternalCDOUserSavepoint`

public interface InternalCDOSavepoint extends CDOSavepoint, InternalCDOUserSavepoint
Adds transaction-internal access to the mutable segment owned by a savepoint. The public `CDOSavepoint` aggregate methods expose only the fixed boundary represented by a returned savepoint. Transaction internals use the `IncludingCurrent` methods when they need the active transaction state, including the mutable segment after that boundary.

Since:
  3.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`Map<CDOID,CDORevision>`
`getAllBaseNewObjectsIncludingCurrent()`
Returns the aggregate through this savepoint, including its mutable current segment.
`CDOChangeSetData`
`getAllChangeSetDataIncludingCurrent()`
Returns change-set data through this savepoint, including its mutable current segment.
`Map<CDOID,CDOObject>`
`getAllDetachedObjectsIncludingCurrent()`
Returns the aggregate through this savepoint, including its mutable current segment.
`Map<CDOID,CDOObject>`
`getAllDirtyObjectsIncludingCurrent()`
Returns the aggregate through this savepoint, including its mutable current segment.
`Map<CDOID,CDOObject>`
`getAllNewObjectsIncludingCurrent()`
Returns the aggregate through this savepoint, including its mutable current segment.
`Map<CDOID,CDORevisionDelta>`
`getAllRevisionDeltasIncludingCurrent()`
Returns the aggregate through this savepoint, including its mutable current segment.
`CDOObject`
`getDetachedObject(CDOID id)`
`CDOObject`
`getDirtyObject(CDOID id)`
`InternalCDOSavepoint`
`getFirstSavePoint()`
`InternalCDOSavepoint`
`getNextSavepoint()`
Returns the next savepoint after this one.
`InternalCDOSavepoint`
`getPreviousSavepoint()`
Returns the savepoint preceding this one.
`Set<CDOID>`
`getSharedDetachedObjects()`
Deprecated.
`InternalCDOTransaction`
`getTransaction()`
Returns the transaction that owns this savepoint.
`boolean`
`isNewObject(CDOID id)`
`void`
`recalculateSharedDetachedObjects()`
Deprecated.

### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOChangeSetDataProvider

`getChangeSetData`

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOSavepoint

`getAllBaseNewObjects, getAllChangeSetData, getAllDetachedObjects, getAllDirtyObjects, getAllNewObjects, getAllRevisionDeltas, getBaseNewObjects, getDetachedObjects, getDirtyObjects, getNewObjects, getReattachedObjects, getRevisionDeltas, getRevisionDeltas2, wasDirty`

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOUserSavepoint

`getNumber, isLast, isValid, rollback`

### Methods inherited from interface org.eclipse.emf.spi.cdo.InternalCDOUserSavepoint

`setNextSavepoint, setPreviousSavepoint`

## Method Details

### getTransaction

InternalCDOTransaction getTransaction()
Description copied from interface: `CDOSavepoint`
Returns the transaction that owns this savepoint.

Specified by:
  `getTransaction` in interface `CDOSavepoint`
Specified by:
  `getTransaction` in interface `CDOTransactionAware`
Specified by:
  `getTransaction` in interface `CDOUserSavepoint`
Specified by:
  `getTransaction` in interface `InternalCDOUserSavepoint`
Returns:
  the owning transaction.

### getFirstSavePoint

InternalCDOSavepoint getFirstSavePoint()

Specified by:
  `getFirstSavePoint` in interface `InternalCDOUserSavepoint`

### getPreviousSavepoint

InternalCDOSavepoint getPreviousSavepoint()
Description copied from interface: `CDOSavepoint`
Returns the savepoint preceding this one.

Specified by:
  `getPreviousSavepoint` in interface `CDOSavepoint`
Specified by:
  `getPreviousSavepoint` in interface `CDOUserSavepoint`
Specified by:
  `getPreviousSavepoint` in interface `InternalCDOUserSavepoint`
Returns:
  the previous savepoint, or `null`.

### getNextSavepoint

InternalCDOSavepoint getNextSavepoint()
Description copied from interface: `CDOSavepoint`
Returns the next savepoint after this one.

Specified by:
  `getNextSavepoint` in interface `CDOSavepoint`
Specified by:
  `getNextSavepoint` in interface `CDOUserSavepoint`
Specified by:
  `getNextSavepoint` in interface `InternalCDOUserSavepoint`
Returns:
  the next savepoint, or `null`.

### clear

void clear()

### getSharedDetachedObjects

@Deprecated Set<CDOID> getSharedDetachedObjects()
Deprecated.

### recalculateSharedDetachedObjects

@Deprecated void recalculateSharedDetachedObjects()
Deprecated.

### isNewObject

boolean isNewObject(CDOID id)

Since:
  4.1

### getDirtyObject

CDOObject getDirtyObject(CDOID id)

Since:
  4.6

### getDetachedObject

CDOObject getDetachedObject(CDOID id)

Since:
  4.6

### getAllNewObjectsIncludingCurrent

Map<CDOID,CDOObject> getAllNewObjectsIncludingCurrent()
Returns the aggregate through this savepoint, including its mutable current segment. This method is for transaction internals; clients must use the fixed-boundary public API.

Since:
  4.30

### getAllDirtyObjectsIncludingCurrent

Map<CDOID,CDOObject> getAllDirtyObjectsIncludingCurrent()
Returns the aggregate through this savepoint, including its mutable current segment. This method is for transaction internals; clients must use the fixed-boundary public API.

Since:
  4.30

### getAllBaseNewObjectsIncludingCurrent

Map<CDOID,CDORevision> getAllBaseNewObjectsIncludingCurrent()
Returns the aggregate through this savepoint, including its mutable current segment. This method is for transaction internals; clients must use the fixed-boundary public API.

Since:
  4.30

### getAllRevisionDeltasIncludingCurrent

Map<CDOID,CDORevisionDelta> getAllRevisionDeltasIncludingCurrent()
Returns the aggregate through this savepoint, including its mutable current segment. This method is for transaction internals; clients must use the fixed-boundary public API.

Since:
  4.30

### getAllDetachedObjectsIncludingCurrent

Map<CDOID,CDOObject> getAllDetachedObjectsIncludingCurrent()
Returns the aggregate through this savepoint, including its mutable current segment. This method is for transaction internals; clients must use the fixed-boundary public API.

Since:
  4.30

### getAllChangeSetDataIncludingCurrent

CDOChangeSetData getAllChangeSetDataIncludingCurrent()
Returns change-set data through this savepoint, including its mutable current segment. This method is for transaction internals; clients must use the fixed-boundary public API.

Since:
  4.30